import { Name, NameType } from '@wharfkit/antelope';
import { KeyManager, KeyManagerLevel } from '../storage/keymanager';
import { PersistentStorageClean, StorageFactory } from '../storage/storage';
import { TonomyUsername } from '../util/username';
import { Issuer } from 'did-jwt-vc';
import { UserStatusEnum } from '../types/UserStatusEnum';
import { IUserBase, IUserStorage } from '../types/User';
import { Signer } from '../services/blockchain';
export declare class UserBase implements IUserBase {
    protected keyManager: KeyManager;
    protected storage: IUserStorage & PersistentStorageClean;
    constructor(_keyManager: KeyManager, storageFactory: StorageFactory);
    getStatus(): Promise<UserStatusEnum>;
    getAccountName(): Promise<Name>;
    getUsername(): Promise<TonomyUsername>;
    getDid(appName?: NameType): Promise<string>;
    getIssuer(): Promise<Issuer>;
    getSigner(level: KeyManagerLevel): Promise<Signer>;
}
//# sourceMappingURL=UserBase.d.ts.map