import { Message } from '../services/communication/message';
import { IUserRequestsManager } from '../types/User';
import { PublicKey } from '@wharfkit/antelope';
import { DID, URL as URLtype } from '../util/ssi/types';
import { App } from './App';
import { UserCommunication } from './UserCommunication';
import { DualWalletRequests } from '../util';
export declare class UserRequestsManager extends UserCommunication implements IUserRequestsManager {
    handleLinkAuthRequestMessage(message: Message): Promise<void>;
    loginWithApp(app: App, key: PublicKey): Promise<void>;
    acceptLoginRequest(requests: DualWalletRequests, platform: 'mobile' | 'browser', options: {
        messageRecipient?: DID;
    }): Promise<void | URLtype>;
}
//# sourceMappingURL=UserRequestsManager.d.ts.map