export declare const MILLISECONDS_IN_SECOND = 1000;
export declare const MICROSECONDS_IN_SECOND = 1000000;
export declare const SECONDS_IN_MINUTE = 60;
export declare const MINUTES_IN_HOUR = 60;
export declare const HOURS_IN_DAY = 24;
export declare const DAYS_IN_YEAR = 365.25;
export declare const SECONDS_IN_HOUR: number;
export declare const SECONDS_IN_DAY: number;
export declare const SECONDS_IN_YEAR: number;
export declare const MICROSECONDS_IN_DAY: number;
export declare const MICROSECONDS_IN_MONTH: number;
export declare const MICROSECONDS_IN_YEAR: number;
/**
 * Takes the number of seconds since epoch and returns a Date object
 *
 * @param {number} secs - Number of seconds since epoch
 * @returns {Date} - Date object
 */
export declare function toDateTime(secs: number): Date;
/**
 * Sleeps for the given number of milliseconds
 *
 * @async
 * @param {number} milliseconds - Number of milliseconds to sleep
 */
export declare function sleep(milliseconds: number): Promise<void>;
/**
 * Sleeps until the given date
 *
 * @async
 * @param {Date} date - Date to sleep until
 */
export declare function sleepUntil(date: Date): Promise<void>;
/**
 * Adds a number of seconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} secs - Number of seconds to add
 */
export declare function addSeconds(date: Date, secs: number): Date;
/**
 * Subtracts a number of seconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} secs - Number of seconds to subtract
 */
export declare function subtractSeconds(date: Date, secs: number): Date;
/**
 * Adds a number of microseconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} microseconds - Number of microseconds to add
 */
export declare function addMicroseconds(date: Date, microseconds: number): Date;
/**
 * Subtracts a number of microseconds and returns a new Date object
 *
 * @param {Date} date - Date object
 * @param {number} microseconds - Number of microseconds to subtract
 */
export declare function subtractMicroseconds(date: Date, microseconds: number): Date;
//# sourceMappingURL=time.d.ts.map