import { KeyManager, App, StorageFactory, IUserStorage, Communication, IUser } from '../../src/sdk/index';
import { createUser } from '../../src/cli/bootstrap/user';
import { DIDurl } from '../../src/sdk/util/ssi/types';
import { ExternalUserLoginTestOptions } from '../externalUser.integration.test';
export interface IUserPublic extends IUser {
    keyManager: KeyManager;
    storage: IUserStorage;
    communication: Communication;
}
export declare function createUserObject(keyManager: KeyManager, storageFactory: StorageFactory): IUserPublic;
export declare const HCAPCHA_CI_RESPONSE_TOKEN = "10000000-aaaa-bbbb-cccc-000000000001";
export { createUser };
export declare function createRandomID(checkKeys?: boolean): Promise<{
    user: IUserPublic;
    password: string;
    pin: string;
    auth: KeyManager;
    username: string;
}>;
export declare function createRandomApp(logoUrl?: string, origin?: string): Promise<App>;
export declare function loginToTonomyCommunication(user: IUserPublic): Promise<void>;
export declare function scanQrAndAck(user: IUserPublic, qrCodeData: string): Promise<void>;
export declare function setupLoginRequestSubscriber(user: IUserPublic, tonomyLoginDid: DIDurl, testOptions: ExternalUserLoginTestOptions): Promise<unknown>;
//# sourceMappingURL=user.d.ts.map